Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ObjectHolder

    java.lang.Object
      |
      +--org.omg.CORBA.ObjectHolder

All Implemented Interfaces:
  Streamable

public final class ObjectHolder
extends java.lang.Object
implements Streamable

Field Summary
`Object` | `value`

Constructor Summary
`ObjectHolder()`
`ObjectHolder(Object initial)`

Method Summary
`void` | `_read(InputStream is)`
`TypeCode` | `_type()`
`void` | `_write(OutputStream os)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    public Object value

Constructor Detail

### ObjectHolder

    public ObjectHolder()

### ObjectHolder

    public ObjectHolder(Object initial)

Method Detail

### _read

    public void _read(InputStream is)

  Specified by:
    `_read` in interface `Streamable`

### _write

    public void _write(OutputStream os)

  Specified by:
    `_write` in interface `Streamable`

### _type

    public TypeCode _type()

  Specified by:
    `_type` in interface `Streamable`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD